#### PyKDE - Python Bindings for KDE

# class KABC.FormatFactory |
Table of contents
Modules
kabc Classes
All Classes

Module | kabc
Class | KABC.FormatFactory
Inherits |

### methods

- FormatFactory ()

  returns a FormatFactory instance
  In versions KDE 3.1.0 and above only

- format (type)

  returns (KABC.FormatPlugin)
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  type | QString |

- formats ()

  returns (QStringList)
  In versions KDE 3.1.0 and above only

- info (type)

  returns (KABC.FormatInfo)
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  type | QString |

- self ()

  returns (KABC.FormatFactory)
  In versions KDE 3.1.0 and above only
  static

- ~FormatFactory ()

  returns nothing
  In versions less than KDE 3.2.0 only